unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SysStat, StdCtrls, ExtCtrls;

type
  TMainForm = class(TForm)
    StartButton: TButton;
    StopButton: TButton;
    DataTimer: TTimer;
    InfoGB: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Shape1: TShape;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure StartButtonClick(Sender: TObject);
    procedure StopButtonClick(Sender: TObject);
    procedure DataTimerTimer(Sender: TObject);
  public
    Stat : TSysStat;
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Stat := TSysStat.Create(Self);
  DataTimer.Interval := 500;
end;

procedure TMainForm.StartButtonClick(Sender: TObject);
begin
  Stat.Open;
end;

procedure TMainForm.StopButtonClick(Sender: TObject);
begin
  Stat.Close;
end;

procedure TMainForm.DataTimerTimer(Sender: TObject);
begin
  Label1.Caption := IntToStr(Stat.SysData['KERNEL\CPUUsage']);
  Label2.Caption := IntToStr(Stat.SysData['KERNEL\Threads']);
  Label3.Caption := IntToStr(Stat.SysData['KERNEL\VMs']);
  Label4.Caption := IntToStr(Stat.SysData['VMM\cpgFree']);
  Label5.Caption := IntToStr(Stat.SysData['VMM\cpgLocked']);
  Label6.Caption := IntToStr(Stat.SysData['VMM\cpgOther']);
end;

end.
